# RSI With RSI Strategy

The RSI With RSI Strategy was authored by Peter Konner in the Stocks and Commodities Magazine January 2011. Two plots of Welles J. Wilders Relative Strength Index (RSI) and 2 Moving Averages are used to trigger trading signals. The slow and quick plots are designed to allows trades on long term up trends and short term corrections. The Strategy is designed for weekly trading and Long position only. The user may change the input (close) methods and period lengths. This indicator’s definition is further expressed in the condensed code given in the calculation below.

\
**How To Trade Using The RSI With RSI Strategy**

Review Peter Konner’s article and use back testing to help determine the optimum input values.

#### Calculation

//input = price, default is closing price\
//rsiMethod = moving average,default is SMMA\
//rsiSlowPeriod = rsi slow period default is 17\
//rsiQuickPeriod = default is 5\
//maMethod = moving average,default is SMA\
//maSlowPeriod = rsi slow period default is 40\
//maQuickPeriod = default is 10\
//index = current bar number

```
Code may be available on request.
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.motivewave.com/strategies/rsi-with-rsi-strategy.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
